## com.google.appengine.api.capabilities
Class CapabilitiesServiceFactory

    java.lang.Object
      com.google.appengine.api.capabilities.CapabilitiesServiceFactory

    public class CapabilitiesServiceFactory

extends java.lang.Object

Factory for creating a `CapabilitiesService`.

Constructor Summary
`CapabilitiesServiceFactory()`

Method Summary
`static CapabilitiesService` `getCapabilitiesService()` Creates an implementation of the `CapabilitiesService`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapabilitiesServiceFactory

    public CapabilitiesServiceFactory()

Method Detail

### getCapabilitiesService

    public static CapabilitiesService getCapabilitiesService()

  Creates an implementation of the `CapabilitiesService`.

  Returns:
    an instance of the capabilities service.